Bug 478994 - No headers por dvb-apps
No headers por dvb-apps
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dvb-apps (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 07:18 EST by Benjamín Valero Espinosa
Modified: 2009-12-18 02:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:30:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamín Valero Espinosa 2009-01-06 07:18:43 EST
Description of problem:
There's no dvb-apps-dev package.

Version-Release number of selected component (if applicable):
1.1.1-12

Steps to Reproduce:
1. Try to compile me-tv (https://launchpad.net/me-tv), an application to watch and record TV programs.
2. It needs some headers.
3. The only way I have found to do it is installing the package from ATrpms that include the headers in it (http://atrpms.net/dist/f9/linuxtv-dvb-apps/).
Comment 1 Ville Skyttä 2009-01-06 08:58:17 EST
The version of dvb-apps in Fedora is 1.1.1, which does not contain any headers upstream.  What ATrpms is shipping seems to be a post-1.1.1 development snapshot from almost 2 years ago.  It's unlikely that a snapshot version will be shipped in Fedora unless some things change so that the old 1.1.1 release no longer works.  Otherwise, getting a version with the headers in it will probably take until upstream releases a new version with them included.
Comment 2 Benjamín Valero Espinosa 2009-01-06 15:48:32 EST
I see (http://linuxtv.org/downloads/), thanks for the info. What I have meant is that it would be nice to have a 'dev' package with the 'includes'. I don't think we have to wait for a new version.
Comment 3 Ville Skyttä 2009-01-07 02:34:09 EST
Yes, I understood.  To reiterate, the latest upstream release version tarball, linuxtv-dvb-apps-1.1.1.tar.bz2, does not contain the includes you are looking for, so as far as I can tell, what you're asking is not possible without packaging a snapshot version.
Comment 4 Benjamín Valero Espinosa 2009-01-07 03:24:23 EST
OK, I understand you now. Sorry, but my English is not very good :( Thanks!
Comment 5 Ville Skyttä 2009-01-07 13:43:28 EST
No problem, I bet your English is much much better than if I tried to speak any other languages you might understand (unless you happen to understand Finnish) :)

Anyway, if you don't mind, I'll keep this bug open for tracking purposes.
Comment 6 Bug Zapper 2009-11-18 05:40:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:30:50 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.